/*:VRX         Main
*/
/*  Main
*/
Main:
/*  Process the arguments.
    Get the parent window.
*/
    parse source . calledAs .
    parent = ""
    argCount = arg()
    argOff = 0
    if( calledAs \= "COMMAND" )then do
        if argCount >= 1 then do
            parent = arg(1)
            argCount = argCount - 1
            argOff = 1
        end
    end; else do
        call VROptions 'ImplicitNames'
        call VROptions 'NoEchoQuit'
    end
    InitArgs.0 = argCount
    if( argCount > 0 )then do i = 1 to argCount
        InitArgs.i = arg( i + argOff )
    end
    drop calledAs argCount argOff

/*  Load the windows
*/
    call VRInit
    parse source . . spec
    _VREPrimaryWindowPath = ,
        VRParseFileName( spec, "dpn" ) || ".VRW"
    _VREPrimaryWindow = ,
        VRLoad( parent, _VREPrimaryWindowPath )
    drop parent spec
    if( _VREPrimaryWindow == "" )then do
        call VRMessage "", "Cannot load window:" VRError(), ,
            "Error!"
        _VREReturnValue = 32000
        signal _VRELeaveMain
    end

/*  Process events
*/
    call Init
    signal on halt
    do while( \ VRGet( _VREPrimaryWindow, "Shutdown" ) )
        _VREEvent = VREvent()
        interpret _VREEvent
    end
_VREHalt:
    _VREReturnValue = Fini()
    call VRDestroy _VREPrimaryWindow
_VRELeaveMain:
    call VRFini
exit _VREReturnValue

VRLoadSecondary:
    __vrlsWait = abbrev( 'WAIT', translate(arg(2)), 1 )
    if __vrlsWait then do
        call VRFlush
    end
    __vrlsHWnd = VRLoad( VRWindow(), VRWindowPath(), arg(1) )
    if __vrlsHWnd = '' then signal __vrlsDone
    if __vrlsWait \= 1 then signal __vrlsDone
    call VRSet __vrlsHWnd, 'WindowMode', 'Modal' 
    __vrlsTmp = __vrlsWindows.0
    if( DataType(__vrlsTmp) \= 'NUM' ) then do
        __vrlsTmp = 1
    end
    else do
        __vrlsTmp = __vrlsTmp + 1
    end
    __vrlsWindows.__vrlsTmp = VRWindow( __vrlsHWnd )
    __vrlsWindows.0 = __vrlsTmp
    do while( VRIsValidObject( VRWindow() ) = 1 )
        __vrlsEvent = VREvent()
        interpret __vrlsEvent
    end
    __vrlsTmp = __vrlsWindows.0
    __vrlsWindows.0 = __vrlsTmp - 1
    call VRWindow __vrlsWindows.__vrlsTmp 
    __vrlsHWnd = ''
__vrlsDone:
return __vrlsHWnd

/*:VRX         ConnFrei
*/
ConnFrei: 
    SString = VRGet( "DDCB_1", "Value" )
    RString = VRGet( "DDCB_3", "Value" )
    lwString = VRGet( "LB_2", "SelectedString" )
    if (SString <> "") & (RString <> "") & (lwString <> "") then ok = VRSet( "PB_7", "Enabled", 1 )
    else ok = VRSet( "PB_7", "Enabled", 0 )
return

/*:VRX         Create_lwliste
*/
Create_lwliste: 
    teststring = 'C: D: E: F: G: H: I: J: K: L: M: N: O: P: Q: R: S: T: U: V: W: X: Y: Z:'
    drstring = SysDriveMap( 'C:', 'LOCAL' )
    j = 0
    do i=1 To words(teststring)
     Teil = word( teststring, i )
     if pos(Teil,drstring) = 0 then do
        j = j+1
        lwliste.j = Teil
     end
    end
    lwliste.0 = j
    prliste.1="LPT1:"
    prliste.2="LPT2:"
    prliste.3="LPT3:"
    prliste.4="LPT4:"
    prliste.5="LPT5:"
    prliste.6="LPT6:"
    prliste.0=6
return

/*:VRX         DDCB_1_Change
*/
DDCB_1_Change: 
    call ConnFrei
    RechnerMerk1='!'
return
/*:VRX         DDCB_1_Click
*/
DDCB_1_Click: 
    call ConnFrei
return

/*:VRX         DDCB_2_Change
*/
DDCB_2_Change: 
    call SaveFrei
    RechnerMerk2='!'
return

/*:VRX         DDCB_2_Click
*/
DDCB_2_Click: 
    call SaveFrei
return

/*:VRX         DDCB_3_Change
*/
DDCB_3_Change: 
    call Connfrei
return

/*:VRX         DDCB_3_Click
*/
DDCB_3_Click: 
    call ConnFrei
return

/*:VRX         DDCB_3_KeyPress
*/
DDCB_3_KeyPress:
    call List_Ress1 
    if Netview.0 > 0 then do
        ok = VRMethod( "DDCB_3", "Clear" )
        ok = VRMethod( "DDCB_3", "AddStringList", Netview.,  )
    end
return
/*:VRX         DDCB_4_Change
*/
DDCB_4_Change: 
    call SaveFrei
return

/*:VRX         DDCB_4_Click
*/
DDCB_4_Click: 
    call SaveFrei
return

/*:VRX         DDCB_4_KeyPress
*/
DDCB_4_KeyPress: 
    call List_Ress2 
    if Netview.0 > 0 then do
        ok = VRMethod( "DDCB_4", "Clear" )
        ok = VRMethod( "DDCB_4", "AddStringList", Netview.,  )
    end
return

/*:VRX         EF_5_Change
*/
EF_5_Change: 
    Pass = VRGet( "EF_5", "Value" )
return

/*:VRX         EF_5_KeyPress
*/
EF_5_KeyPress: 
    keystring = VRGet( "EF_5", "KeyString" )
    taste=translate(keystring)
    if taste='{NEWLINE}' then call Passwort_Close
return
/*:VRX         Fini
*/
Fini:
    window = VRWindow()
    call VRSet window, "Visible", 0
    drop window
return 0

/*:VRX         Halt
*/
Halt:
    signal _VREHalt
return

/*:VRX         Init
*/
Init:
    window = VRWindow()
    call VRMethod window, "CenterWindow"
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
    drop window
return

/*:VRX         LB_1_Click
*/
LB_1_Click: 
    call TrennFrei
return

/*:VRX         LB_2_Click
*/
LB_2_Click: 
    call Connfrei
return

/*:VRX         LB_3_Click
*/
LB_3_Click: 
    call SaveFrei
return

/*:VRX         LB_4_Click
*/
LB_4_Click: 
    call Verbfrei
return

/*:VRX         List_Ress1
*/
List_Ress1: 
    SrvSel = VRGet( "DDCB_1", "Value" )
    if RechnerMerk1 <> SrvSel then do
        RechnerMerk1 = SrvSel
        if Net = 1 then 'net view \\'||SrvSel||' | RXQUEUE'
        i=0
        DO UNTIL queued() = 0
            i = i+1
            RLine = LINEIN('QUEUE:')
            if (lastpos('Platte',RLine) <> 0 ) | (lastpos('Disk',RLine) <> 0) | (lastpos('Drucken',RLine) <> 0 ) | (lastpos('Print',RLine) <> 0) then do
                len=pos(' ',RLine)-1
                Netview.i=substr(RLine,1,len)
            end
        end
        Netview.0 = i
    end
return
/*:VRX         List_Ress2
*/
List_Ress2: 
    SrvSel = VRGet( "DDCB_2", "Value" )
    if RechnerMerk2 <> SrvSel then do
        RechnerMerk2 = SrvSel
        if Net = 1 then 'net view \\'||SrvSel||' | RXQUEUE'
        i=0
        DO UNTIL queued() = 0
            i = i+1
            RLine = LINEIN('QUEUE:')
            if (lastpos('Platte',RLine) <> 0 ) | (lastpos('Disk',RLine) <> 0) | (lastpos('Drucken',RLine) <> 0 ) | (lastpos('Print',RLine) <> 0) then do
                len=pos(' ',RLine)-1
                Netview.i=substr(RLine,1,len)
            end
        end
        Netview.0 = i
    end
return

/*:VRX         Logger
*/
Logger:
    logged = 0
    do while queued() <> 0
       logged = 1
       ULine = LINEIN('QUEUE:')
       if pos('Error: Invalid service or password',ULine) <> 0 then do
        RxMessageBox(Error1,Error0, 'ENTER','EXCLAMATION')
        ok = VRSet( "DT_15", "BackColor", "Red" )
        ok = VRSet( "DT_16", "BackColor", "Red" )
       end
       else
       if pos('Error: Network name not found',ULine) <> 0 then do
        RxMessageBox(Error2,Error0, 'ENTER','EXCLAMATION')
        ok = VRSet( "DT_15", "BackColor", "Red" )
        ok = VRSet( "DT_16", "BackColor", "Red" )
       end
       else
       if pos('currently in use',ULine) <> 0 then do
        RxMessageBox(Error3,Error0, 'ENTER','EXCLAMATION')
        ok = VRSet( "DT_15", "BackColor", "Red" )
        ok = VRSet( "DT_16", "BackColor", "Red" )
       end
       else do
        ok = VRSet( "DT_15", "BackColor", "Green" )
        ok = VRSet( "DT_16", "BackColor", "Green" )
       end
    end
    if logged = 0 then do
       ok = VRSet( "DT_15", "BackColor", "Green" )
       ok = VRSet( "DT_16", "BackColor", "Green" )
    end
return
/*:VRX         LW_fill
*/
LW_fill: 
    ok = VRMethod( "LB_2", "Clear" )
    ok = VRMethod( "LB_2", "AddStringList", "lwliste." )
    ok = VRMethod( "LB_2", "AddStringList", "prliste." )
return
/*:VRX         NB_1_PageSelected
*/
NB_1_PageSelected: 
    selected = VRGet( "NB_1", "Selected" )
    if selected = 1 then ok = VRMethod( "DDCB_1", "SetFocus" )
    if selected = 2 then ok = VRMethod( "DDCB_2", "SetFocus" )
return

/*:VRX         Passwort_Close
*/
Passwort_Close: 
    call Passwort_Fini
return

/*:VRX         Passwort_Create
*/
Passwort_Create: 
    call Passwort_Init
    if Sprache = 'D' then VRSet( "DT_8", "Caption", "Die Ressource ist geschtzt. Bitte Pawort eingeben:" )
    else
    if Sprache = 'E' then VRSet( "DT_8", "Caption", "Please type password for the share:" )
return
/*:VRX         Passwort_Fini
*/
Passwort_Fini: 
    window = VRInfo( "Window" )
    call VRDestroy window
    drop window
return
/*:VRX         Passwort_Init
*/
Passwort_Init: 
    window = VRInfo( "Object" )
    if( \VRIsChildOf( window, "Notebook" ) ) then do
        call VRMethod window, "CenterWindow"
        call VRSet window, "Visible", 1
        call VRMethod window, "Activate"
    end
    drop window
return

/*:VRX         PB_10_Click
*/
PB_10_Click: 
    set = VRGet( "CB_3", "Set" )
    if set=1 then do
     reconn = '/r'
    end    
    else do
     reconn = ' '
    end
    ok = VRMethod( "LB_4", "GetSelectedList", shselect. )
    i=0
    Ende = shselect.0
    do while i < Ende
     i=i+1
     Connect = VRMethod( "LB_4", "GetString", shselect.i )
     lw=strip(substr(Connect,1,5), 'T')
     share=strip(substr(Connect,17,47), 'T')
     Pass=""
     PassSet=substr(Connect,64,1)
     if PassSet='1' then do
        call VRLoadSecondary "Passwort", "Wait" 
     end
     "use "lw" "share" "Pass" "reconn" | RXQUEUE"
     call Logger
    end
    call Verbindg
return
/*:VRX         PB_11_Click
*/
PB_11_Click: 
    call Verbindg 1
return
/*:VRX         PB_6_Click
*/
PB_6_Click: 
    ok = VRMethod( "LB_1", "GetSelectedList", shselect. )
    i=0
    Ende = shselect.0
    do while i < Ende
     i=i+1
     Connect = VRMethod( "LB_4", "GetString", shselect.i )
     ressource=substr(Connect,1,4)
     share= strip(substr(Connect,14,38), 'T')
     lw=substr(Connect,1,2)
     if substr(ressource,1,3) = "LPT" then 'use 'ressource': /d'
     else if lw='  ' then 'use 'share' /d'
     else 'use 'lw' /d'
    end
    call Verbindg
return
/*:VRX         PB_7_Click
*/
PB_7_Click: 
    set = VRGet( "CB_3", "Set" )
    if set=1 then do
     reconn = '/r'
    end    
    else do
     reconn = ' '
    end
    ok = VRMethod( "LB_2", "GetSelectedList", lwselect. )
    Lw = VRMethod( "LB_2", "GetString", lwselect.1 )
    Server = VRGet( "DDCB_1", "Value" )
    Share = VRGet( "DDCB_3", "Value" )
    Pass = strip( VRGet( "EF_6", "Value" ))
    "use " Lw " \\"Server"\"Share" "Pass" "reconn" | RXQUEUE"
    call Logger
    call Verbindg
return
/*:VRX         PB_8_Click
*/
PB_8_Click: 
ok = VRMethod( "LB_3", "GetSelectedList", lwselect. )
if lwselect.0 = 0 then do
   return
end
Lw = VRMethod( "LB_3", "GetString", lwselect.1 )
Server = VRGet( "DDCB_2", "Value" )
Share = VRGet( "DDCB_4", "Value" )
if substr(lw,1,3) = "LPT" then do
 leer="           "
end
else do
 leer="              "
end
Connection = Lw""leer"\\"Server"\"Share
set = VRGet( "CB_1", "Set" )
lng=length(share)+length(Server)+3
leerpass=substr('                                     ',1,47-lng)
if set=1 then Connection=Connection""leerpass"1"
gef=0
i = 3
ok = VRMethod( "LB_4", "GetStringList", "favorites." )
do while i<=favorites.0
    if translate(favorites.i) = translate(Connection) then gef=1
    i=i+1
end
if gef=0 then do
    VRMethod( "LB_4", "AddString", Connection, )
    call Speichern
end
else beep(262,250)
ok = VRSet( "CB_1", "Set", 0 )
return
/*:VRX         PB_9_Click
*/
PB_9_Click: 
    ok = VRMethod( "LB_4", "GetSelectedList", shselect. )
    i=0
    Ende = shselect.0
    do while i < Ende
     i=i+1
     Connect = VRMethod( "LB_4", "GetString", shselect.i )
     ok = VRMethod( "LB_4", "Delete", selected )
    end
    call Speichern
return
/*:VRX         Quit
*/
Quit:
    window = VRWindow()
    call VRSet window, "Shutdown", 1
    drop window
return

/*:VRX         RB_1_Click
*/
RB_1_Click: 
    set = VRGet( "RB_1", "Set" )
    if set=1 then Sprache='D'
    ok= VRSetIni("NetUse", "Sprache", Sprache, AktDir"\NETUSE.INI" )
return
/*:VRX         RB_2_Click
*/
RB_2_Click: 
    set = VRGet( "RB_2", "Set" )
    if set=1 then Sprache='E'
    ok= VRSetIni("NetUse", "Sprache", Sprache, AktDir"\NETUSE.INI" )
return
/*:VRX         SaveFrei
*/
SaveFrei: 
    SString = VRGet( "DDCB_2", "Value" )
    RString = VRGet( "DDCB_4", "Value" )
    lwString = VRGet( "LB_3", "SelectedString" )
    if (SString <> "") & (RString <> "") & (lwString <> "") then do
        VRSet( "PB_8", "Enabled", 1 )
        VRSet( "CB_1", "Enabled", 1 )
    end
    else do
        VRSet( "PB_8", "Enabled", 0 )
        VRSet( "CB_1", "Enabled", 0 )
    end
return
/*:VRX         Speichern
*/
Speichern: 
    count = VRGet( "LB_4", "Count" )
    ok = VRMethod( "LB_4", "GetStringList", "favorites." )
    ok= VRSetIni("NetUse", "Anzahl", count, AktDir"\NETUSE.INI" )
    i=1
    do while i <= count
        if i<10 then nr='0'format(i,1)
        else nr=format(i,2)
        ok= VRSetIni("NetUse", "Share"nr, favorites.i, AktDir"\NETUSE.INI" )
        i = i+1
    end
return
/*:VRX         Sprache_Close
*/
Sprache_Close:
    call RB_1_Click
    call RB_2_Click
    call SpracheSW1 
    call Sprache_Fini
return

/*:VRX         Sprache_Create
*/
Sprache_Create: 
    call Sprache_Init
    if Sprache='D' then VRSet( "RB_1", "Set", 1 )
    if Sprache='E' then VRSet( "RB_2", "Set", 1 )
return

SpracheSW1:
    if Sprache='E' then do
        ok = VRMethod( "NB_1", "SetTabText", "1", "Connections" )
        ok = VRMethod( "NB_1", "SetTabText", "2", "Favorites" )
        ok = VRSet( "DT_1", "Caption", "ToBoSoft Net-Connections" )
        ok = VRSet( "DT_3", "Caption", "Share" )
        ok = VRSet( "DT_9", "Caption", "Password" )
        ok = VRSet( "PB_6", "Caption", "~Disconnnect" )
        ok = VRSet( "PB_11", "Caption", "~Refresh" )
        ok = VRSet( "PB_7", "Caption", "~Connect" )
        ok = VRSet( "DT_4", "Caption", "ToBoSoft Net-Connections" )
        ok = VRSet( "DT_6", "Caption", "Share" )
        ok = VRSet( "DT_7", "Caption", "Password" )
        ok = VRSet( "DT_10", "Caption", "Device Type  Connection Name" )
        ok = VRSet( "DT_11", "Caption", "Device          Connection Name" )
        ok = VRSet( "PB_9", "Caption", "~Delete" )
        ok = VRSet( "PB_10", "Caption", "~Connect" )
        ok = VRSet( "PB_8", "Caption", "~Set" )
        ok = VRSet( "DT_18", "Caption", "overwr." )
        Error0 = 'Error'
        Error1 = 'No password given or password false !'
        Error2 = 'Connection cannot be established !'
        Error3 = 'Device is currently in use !'
    end        
    else
    if Sprache='D' then do
        ok = VRMethod( "NB_1", "SetTabText", "1", "Verbindungen" )
        ok = VRMethod( "NB_1", "SetTabText", "2", "Favoriten" )
        ok = VRSet( "DT_1", "Caption", "ToBoSoft Netz-Verbindungen" )
        ok = VRSet( "DT_3", "Caption", "Ressource" )
        ok = VRSet( "DT_9", "Caption", "Pawort" )
        ok = VRSet( "PB_6", "Caption", "~Trennen" )
        ok = VRSet( "PB_11", "Caption", "~Aktualisieren" )
        ok = VRSet( "PB_7", "Caption", "~Verbinden" )
        ok = VRSet( "DT_4", "Caption", "ToBoSoft Netz-Verbindungen" )
        ok = VRSet( "DT_6", "Caption", "Ressource" )
        ok = VRSet( "DT_7", "Caption", "Pawort" )
        ok = VRSet( "DT_10", "Caption", "Gert  Typ   Verbindungs-Name" )
        ok = VRSet( "DT_11", "Caption", "Gert           Verbindungs-Name" )
        ok = VRSet( "PB_9", "Caption", "~Lschen" )
        ok = VRSet( "PB_10", "Caption", "~Verbinden" )
        ok = VRSet( "PB_8", "Caption", "~Eintragen" )
        ok = VRSet( "DT_18", "Caption", "berschr." )
        Error0 = 'Fehler'
        Error1 = 'Pawort nicht oder falsch angegeben !'
        Error2 = 'Verbindung konnte nicht hergestellt werden !'
        Error3 = 'Gert ist schon in Benutzung !'
    end
return
/*:VRX         Sprache_Fini
*/
Sprache_Fini: 
    window = VRInfo( "Window" )
    call VRDestroy window
    drop window
return
/*:VRX         Sprache_Init
*/
Sprache_Init: 
    window = VRInfo( "Object" )
    if( \VRIsChildOf( window, "Notebook" ) ) then do
        call VRMethod window, "CenterWindow"
        call VRSet window, "Visible", 1
        call VRMethod window, "Activate"
    end
    drop window
return

/*:VRX         SW_1_Close
*/
SW_1_Close: 
    call SW_1_Fini
return

/*:VRX         SW_1_Create
*/
SW_1_Create: 
    call SW_1_Init
    call SpracheSW1
    ok = VRSet( "DT_12", "Caption", Version )
    call LW_fill
    call Verbindg 1
    ok = VRSet( "NB_1", "Selected", 1 )
return
/*:VRX         SW_1_Fini
*/
SW_1_Fini: 
    window = VRInfo( "Window" )
    call VRDestroy window
    drop window
return
/*:VRX         SW_1_Init
*/
SW_1_Init: 
    window = VRInfo( "Object" )
    if( \VRIsChildOf( window, "Notebook" ) ) then do
        call VRMethod window, "CenterWindow"
        call VRSet window, "Visible", 1
        call VRMethod window, "Activate"
    end
    drop window
return

/*:VRX         SW_1_KeyPress
*/
SW_1_KeyPress: 
    keystring = VRGet( "SW_1", "KeyString" )
    taste=translate(keystring)
    if taste = '{ALT}S' then do
        VRLoadSecondary('Sprache')
        VRMethod('Sprache','Activate')
    end
return

/*:VRX         SW_2_Close
*/
SW_2_Close: 
    call SW_2_Fini
return

/*:VRX         SW_2_Create
*/
SW_2_Create: 
    call SW_2_Init
    ok = VRSet( "DT_13", "Caption", Version )
    ok = VRMethod( "LB_3", "AddStringList", "lwliste." )
    ok = VRMethod( "LB_3", "AddStringList", "prliste." )
    ok = VRMethod( "LB_4", "Clear" )
    count = VRGetIni("NetUse", "Anzahl", AktDir"\NETUSE.INI" )
    if count="" then count=0    
    favorites.0=count
    i = 1
    do while i <= count
        if i<10 then nr='0'format(i,1)
        else nr=format(i,2)
        favorites.i = VRGetIni("NetUse", "Share"nr, AktDir"\NETUSE.INI" )
        i = i+1
    end
    ok = VRMethod( "LB_4", "AddStringList", "favorites." )
    if Srvliste.0 > 0 then do
        ok = VRMethod( "DDCB_2", "Clear" )
        ok = VRMethod( "DDCB_2", "AddStringList", "Srvliste.",  )
    end
    ok = VRMethod( "DDCB_2", "SetFocus" )
return
/*:VRX         SW_2_Fini
*/
SW_2_Fini: 
    window = VRInfo( "Window" )
    call VRDestroy window
    drop window
return
/*:VRX         SW_2_Init
*/
SW_2_Init: 
    window = VRInfo( "Object" )
    if( \VRIsChildOf( window, "Notebook" ) ) then do
        call VRMethod window, "CenterWindow"
        call VRSet window, "Visible", 1
        call VRMethod window, "Activate"
    end
    drop window
return

/*:VRX         SW_2_KeyPress
*/
SW_2_KeyPress: 
    keystring = VRGet( "SW_2", "KeyString" )
    taste=translate(keystring)
    if taste = '{ALT}S' then do
        VRLoadSecondary('Sprache')
        VRMethod('Sprache','Activate')
    end
return
/*:VRX         TM_1_Trigger
*/
TM_1_Trigger: 
  ok = VRSet( "DT_15", "BackColor", "<default>" )
  ok = VRSet( "DT_16", "BackColor", "<default>" )
return

/*:VRX         TrennFrei
*/
TrennFrei: 
    aktiv = VRGet( "LB_1", "SelectedString" )
    if (substr(aktiv,2,1)=':') | (substr(aktiv,1,3)='LPT' ) | (substr(aktiv,14,2)='\\' )then
        VRSet( "PB_6", "Enabled", 1 )
    else VRSet( "PB_6", "Enabled", 0 )
return

/*:VRX         VerbFrei
*/
VerbFrei: 
    frei = VRGet( "LB_4", "SelectedString" )
    if (substr(frei,2,1)=':') | (substr(frei,1,3)='LPT' ) then do
        VRSet( "PB_9", "Enabled", 1 )
        VRSet( "PB_10", "Enabled", 1 )
    end
    else do
    VRSet( "PB_9", "Enabled", 0 )
    VRSet( "PB_10", "Enabled", 0 )
    end
return
/*:VRX         Verbindg
*/
Verbindg: 
    call VRSet VRWindow(), 'Pointer', 'Wait'
    ok = VRMethod( "LB_1", "Clear" )
    if Net = 1 then 'use /full | RXQUEUE'
    if Ftp = 1 then 'ftpfs use | RXQUEUE'
    i=2
    RLine = LINEIN('QUEUE:')
    if left(RLine,8) <> "The list" then do
        DO while queued() <> 0
            RLine = LINEIN('QUEUE:')
            j=i-1
            k=i-2
            if (i > 4) then do
                if Zeile.k <> RLine then Zeile.j=substr( RLine,9 )
            end
            i = i+1
        END
        Zeile.0=j
        ok = VRMethod( "LB_1", "AddStringList", Zeile.,  )
    end
    if ARG(1) = 1 then do
        if Net = 1 then 'net view | RXQUEUE'
        i=0
        DO while queued() <> 0
            RLine = LINEIN('QUEUE:')
            if substr(RLine,1,2) = '\\' then do
                i = i+1
                len = pos(' ',RLine)-3
                Srvliste.i = substr(RLine,3,len)
            end
        end
        SrvListe.0 = i
    end
    if i > 0 then do
        ok = VRMethod( "DDCB_1", "Clear" )
        ok = VRMethod( "DDCB_1", "AddStringList", "Srvliste.",  )
    end
    call VRSet VRWindow(), 'Pointer', '<Default>'
return
/*:VRX         Window1_Close
*/
Window1_Close:
    call Quit
return

/*:VRX         Window1_Create
*/
Window1_Create:
    call rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    call SysLoadFuncs
    ok = VRRedirectStdIO( "Off" )
    Version="V 1.5"
    AktDir=VRCurrDir( VRCurrDrive() )
    env='OS2ENVIRONMENT'
    temp=value('TMP',,env)
    if temp = '' then temp=value('TEMP',,env)
    Net = 0
    Ftp = 0
    Sprache=VRGetIni("NetUse", "Sprache", AktDir"\NETUSE.INI" )
    if (Sprache <> 'D') & (Sprache <> 'E' ) then do
        VRLoadSecondary('Sprache')
        VRMethod('Sprache','Activate')
    end
    if Sprache='D' then do
        Message1 = 'Netzwerk wird gestartet, bitte warten...'
        Error0='Netzwerk nicht aktiv'
        Error1='Netzwerk starten und anmelden an Domain (Nein=lokale Anmeldung)?'
    end
    else do
        Message1 = 'Network is starting, please wait...'
        Error0='Network not active'
        Error1='Start network and logon to domain (NO=local logon)?'
    end
    'netuset -l | RXQUEUE'
    Gef=0
    DO UNTIL queued() = 0
     RLine = LINEIN('QUEUE:')
     if lastpos('WKSTA.EXE',RLine) <> 0 then do
        Net = 1
     end
     if lastpos('R3COMM.EXE',RLine) <> 0 then do
/* funktioniert noch nicht, weil 'FTPFS USE' nicht implementiert */ 
        Ftp = 0
     end
    END
    if (Net == 0) & (Ftp == 0) then do
        rc = RxMessageBox(Error1, Error0, 'YESNOCANCEL','EXCLAMATION')
        if rc <> 2 then ok = VRSet( "DT_14", "Caption", Message1 )
        if rc = 6 then 'LOGON.EXE /v:domain /d /s'
        if rc = 7 then 'LOGON.EXE /v:local /s'
        if rc = 2 then call Window1_Close
    end
    Net = 1
    ok = VRSet( "DT_14", "Caption", "" )
    ok = VRSet( "DT_14", "Visible", 0 )
    call Create_lwliste
return
